org.apache.hadoop.yarn.api.records.timelineservice

## Class ContainerEntity

- java.lang.Object
- - org.apache.hadoop.yarn.api.records.timelineservice.TimelineEntity
  - - org.apache.hadoop.yarn.api.records.timelineservice.HierarchicalTimelineEntity
    - - org.apache.hadoop.yarn.api.records.timelineservice.ContainerEntity

- All Implemented Interfaces:
    Comparable<TimelineEntity>

      @InterfaceAudience.Public
       @InterfaceStability.Unstable
      public class ContainerEntity
      extends HierarchicalTimelineEntity

  This entity represents a container belonging to an application attempt.

- - ### Field Summary

    - ### Fields inherited from class org.apache.hadoop.yarn.api.records.timelineservice.HierarchicalTimelineEntity

      `CHILDREN_INFO_KEY, PARENT_INFO_KEY`

    - ### Fields inherited from class org.apache.hadoop.yarn.api.records.timelineservice.TimelineEntity

      `DEFAULT_ENTITY_PREFIX, SYSTEM_INFO_KEY_PREFIX`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ContainerEntity()`
    `ContainerEntity(TimelineEntity entity)`

  - ### Method Summary

    - ### Methods inherited from class org.apache.hadoop.yarn.api.records.timelineservice.HierarchicalTimelineEntity

      `addChild, addChild, addChildren, getChildren, getParent, setChildren, setParent, setParent`

    - ### Methods inherited from class org.apache.hadoop.yarn.api.records.timelineservice.TimelineEntity

      `addConfig, addConfigs, addEvent, addEvents, addInfo, addInfo, addIsRelatedToEntities, addIsRelatedToEntity, addMetric, addMetrics, addRelatesToEntities, addRelatesToEntity, compareTo, equals, getConfigs, getCreatedTime, getEvents, getId, getIdentifier, getIdPrefix, getInfo, getIsRelatedToEntities, getMetrics, getReal, getRelatesToEntities, getType, hashCode, isValid, setConfigs, setCreatedTime, setEvents, setId, setIdentifier, setIdPrefix, setInfo, setIsRelatedToEntities, setMetrics, setRelatesToEntities, setType, setUID, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ContainerEntity

          public ContainerEntity()

    - #### ContainerEntity

          public ContainerEntity(TimelineEntity entity)

Copyright © 2022 Apache Software Foundation. All rights reserved.